Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  NX
  Polyline

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Polyline (4708 mal gelesen)
Tomtom77590
Mitglied


Sehen Sie sich das Profil von Tomtom77590 an!   Senden Sie eine Private Message an Tomtom77590  Schreiben Sie einen Gästebucheintrag für Tomtom77590

Beiträge: 2
Registriert: 07.11.2012

erstellt am: 07. Nov. 2012 20:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

ich steige gerade von Catia V5 auf NX7.5 bzw. NX8 um. Bei vielen Funktionen ähneln sich beide Programme, man muss sich halt nur umgewöhnen.
Im Moment hakt es aber mit der „Guide Curve“ von z.B. einer Leitung mit mehrere Biegungen mit gleichem Biegeradius und mit geraden Abschnitten zwischendrin.

Die beste Methode die ich bis jetzt gefunden habe ist: einzelnen Linie zwischen den Punkten zu erstellen und dann jede Ecke mir „Circular Blend Curve“ zu verrunden. Alles ganz schön umständlich und nicht sehr Update-stabil.
In Catia konnte ich das schnell und einfach mit einer Funktion erledigen. Wo finde ich so eine ähnliche Funktion bei NX? Oder hat jemand eine bessere Methode als die ich beschrieben haben?

Danke euch!

Gruß

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

harder
Mitglied
Konstrukteur MB


Sehen Sie sich das Profil von harder an!   Senden Sie eine Private Message an harder  Schreiben Sie einen Gästebucheintrag für harder

Beiträge: 160
Registriert: 09.09.2003

NX 8.0.3.4
TC(UA)8

erstellt am: 08. Nov. 2012 07:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Tomtom77590 10 Unities + Antwort hilfreich

Moin,
meinst Du ein Kabel?

Generell gibt es Routinglizenzen!

Wenn Du in der Ebene arbeitest kannst Du mit Bordmitteln mit Skizzen arbeiten.(fällt mir schwer, das zu sagen).

Hier kannst Du einen Radius bemassen und den anderen die Randbedingung (Zwangsbedingungen) "gleicher Radius" zuweisen!

Die vertikalen und horizontalen oder im Winkel gezogenen Kurven lassen sich im Skizzenmodus beliebig verschieben. Die Radien werden mitgezogen.

  


[Diese Nachricht wurde von harder am 08. Nov. 2012 editiert.]

[Diese Nachricht wurde von harder am 08. Nov. 2012 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Rainer Schulze
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. im Ruhestand


Sehen Sie sich das Profil von Rainer Schulze an!   Senden Sie eine Private Message an Rainer Schulze  Schreiben Sie einen Gästebucheintrag für Rainer Schulze

Beiträge: 4221
Registriert: 24.09.2012

erstellt am: 08. Nov. 2012 08:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Tomtom77590 10 Unities + Antwort hilfreich

>>Generell gibt es Routinglizenzen!

Ja, aber ich denke, die Geldausgabe lohnt nur, wenn man das häufig braucht (Rohrleitungsbau, Anlagenbau, Kabelbäume...). Die Handhabung ist auch gewöhnungsbedürftig.

Wir arbeiten mit der Extrusion entlang einer Leitlinie (Rohr).

Die Methode mit der Skizze ist gut, wenn man den exakten Verlauf benötigt. Will man nur eine Leitung kollisionsfrei zwischen anderen Teilen verlegen, genügt häufig eine Spline-Funktion "Kurve durch Punkte".

TomTom,
vielleicht schildert du ja kurz Deinen Einsatzfall.
Dann können wir Dir gezielter Rat geben.
Zu den Routing-Lizenzen: Es wird unterschieden zwischen Routing Mechanical (Rohrleitungen) und Routing Electrical (Elektrische Leitungen). Beide Module sind in der Online-Hilfe beschrieben.

------------------
Rainer Schulze

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Tomtom77590
Mitglied


Sehen Sie sich das Profil von Tomtom77590 an!   Senden Sie eine Private Message an Tomtom77590  Schreiben Sie einen Gästebucheintrag für Tomtom77590

Beiträge: 2
Registriert: 07.11.2012

erstellt am: 08. Nov. 2012 10:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Kuehlwasserleitung.jpg

 
Danke für eure Antworten!

@Harder: wenn ich richtig verstehe ermöglicht die Methodik die du beschreibst nur eine Leitlinie in 2D oder habe ich es falsch verstanden? Ich brauche aber eine 3D Leitlinie um Rohre um meine Bauteile zu leiten.

@Rainer: ich bearbeite nicht regelmäßig Rohre. Manchmal mehr, manchmal weniger… Eine zusätzliche Lizenz würde sich wahrscheinlich nicht lohnen.

Ich habe mal ein Bild von einem Rohr aus Catia gemacht. Hier handelt es sich um eine Kühlwasserleitung eines Turboladers. Die Leitkurve wurde mittels Punkte im Raum erstellt damit ich den Verlauf um die einzelnen Anbauteile lenken kann.

Eine Spline bringt nicht das erwünschte Ergebnis. Das ist eher für Kabel oder Schläuche. Für Rohre, wie im Bild kann ich diese Funktion nicht gebrauchen. Oder benutze ich diese falsch?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Rainer Schulze
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. im Ruhestand


Sehen Sie sich das Profil von Rainer Schulze an!   Senden Sie eine Private Message an Rainer Schulze  Schreiben Sie einen Gästebucheintrag für Rainer Schulze

Beiträge: 4221
Registriert: 24.09.2012

erstellt am: 08. Nov. 2012 11:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Tomtom77590 10 Unities + Antwort hilfreich


kabel.JPG

 
>>Oder benutze ich diese falsch?

Nein, keineswegs.
Bei Rohren benötigst Du im Gegensatz zu flexiblen Schläuchen selbstverständlich die exakte Führung.
Da kommt der Skizzenansatz zum Tragen.

Eine Skizze ist zwar ein zweidimensionales Gebilde,
aber Harder hat ja nicht behauptet, Du müsstest den Verlauf mit nur EINER Skizze beschreiben. Im 3D-Raum brauchst Du halt mehrere Skizzen mit unterschiedlichen Ausrichtungen.
Solltest Du die exakten Koordinaten der Knickpunkte haben, kannst Du natürlich auch ohne Skizzen direkt Punkte setzen und diese durch Linien und Kreisbögen verbinden.

Im Anhang mal ein Beispiel für ein Kabel.

------------------
Rainer Schulze

[Diese Nachricht wurde von Rainer Schulze am 08. Nov. 2012 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Hightower205
Ehrenmitglied
Leiter Engineering Services


Sehen Sie sich das Profil von Hightower205 an!   Senden Sie eine Private Message an Hightower205  Schreiben Sie einen Gästebucheintrag für Hightower205

Beiträge: 1725
Registriert: 27.01.2005

NX 8.0.3.4 MP11; TC 8.3.3
Win7 64Bit

erstellt am: 08. Nov. 2012 11:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Tomtom77590 10 Unities + Antwort hilfreich

Hi Tomtom,

Ich mag´s kaum sagen schreiben, aber ich glaube, eine 3D-Polylinie gibt´s im NX nicht.
Im Grunde wäre die Polylinie aus dem Sketcher von der Funktion her schon passend - die arbeitet aber halt nur in der Ebene.

Solche Rohre wie in Deinem Beispiel würde ich demzufolge - wie harder beschrieben hat - abschnittsweise mit Skizzen-Polylinien in verschiedenen Ebenen erzeugen.

[EDIT]: zu langsam... 

------------------
Hoffeeinehilfegewesenzusein  

Gruß
Ralf

Improvisieren ist nur dann eine Kunst, wenn man nicht unvorbereitet aussieht...

[Diese Nachricht wurde von Hightower205 am 08. Nov. 2012 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meinolf Droste
Ehrenmitglied V.I.P. h.c.
Dipl.Ing



Sehen Sie sich das Profil von Meinolf Droste an!   Senden Sie eine Private Message an Meinolf Droste  Schreiben Sie einen Gästebucheintrag für Meinolf Droste

Beiträge: 4047
Registriert: 14.12.2000

Dell Precision T5810
XEON E5-1630, 3.70 GHz
16 GB RAM
NVIDIA Quadro K4200

TC 10.1.4
NX 10.3.5 MP1
NX 11 Beta

erstellt am: 08. Nov. 2012 11:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Tomtom77590 10 Unities + Antwort hilfreich

Hallo TomTom

ne nen Spline bringt dich da nicht wirlich weiter. Du kannst zwar nen Spline-Grad von 1 einstellen, aber danach fehlen dir noch die Radien.
Und die bekommst du an den Spline nicht dran 

Eine solche Funktion wie die Katja da anbietet ist mir in NX auch nicht bekannt. Du kannst nen ER bei Siemens aufmachen, ob es was bringt wird die Zeit zeigen.

------------------
Grüße Meinolf

Ich steh auf flotte Dreier

I know I was born and I know that I'll die but the in between is mine - Pearl Jam

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

SenatorCato
Mitglied
Dipl.-Ing. MB


Sehen Sie sich das Profil von SenatorCato an!   Senden Sie eine Private Message an SenatorCato  Schreiben Sie einen Gästebucheintrag für SenatorCato

Beiträge: 118
Registriert: 16.12.2011

WINDOWS 7 (64)
NX 10.0.2.6 MP1

erstellt am: 08. Nov. 2012 12:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Tomtom77590 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Rainer Schulze:

Solltest Du die exakten Koordinaten der Knickpunkte haben, kannst Du natürlich auch ohne Skizzen direkt Punkte setzen und diese durch Linien und Kreisbögen verbinden.

Hi,
Ich hab mich in letzter Zeit auch ein bisschen mit dem Routing auseinandersetzen müssen. Meiner Erfahrung nach funktioniert das vion Rainer beschriebene Verfahren am Besten, ausgenommen das Routing Tool. Wenn du schon öfter mal Rohre bearbeiten musst, macht das vielleicht doch Sinn eine Lizenz dieses Moduls für das Unternehmen zu beschaffen. Soviel ich weiß kann so eine Lizenz auch durchaus von mehreren Anwendern verwendet werden, nur halt nicht zu gleichen Zeit. Beide Routing-Anwendungen von NX sind mittlerweile zumindest was das Modelling angeht recht ausgereift und man spart eine Menge Zeit dadurch.
Beste Grüße
Jonas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

FelixM
Ehrenmitglied V.I.P. h.c.
Dipl.- Ing. Schiffbau


Sehen Sie sich das Profil von FelixM an!   Senden Sie eine Private Message an FelixM  Schreiben Sie einen Gästebucheintrag für FelixM

Beiträge: 2214
Registriert: 17.05.2004

erstellt am: 08. Nov. 2012 13:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Tomtom77590 10 Unities + Antwort hilfreich


tube.prt

 
Hab mal was angehangen. Ist zwar nicht die Polylinie, aber fast so gut. Keine Skizze, einfach die assoziativen Linien und Radien verwenden. Eventuell ist das was.

Grüße
Felix

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Walter Hogger
Moderator
Maschinenbauingenieur


Sehen Sie sich das Profil von Walter Hogger an!   Senden Sie eine Private Message an Walter Hogger  Schreiben Sie einen Gästebucheintrag für Walter Hogger

Beiträge: 2826
Registriert: 06.10.2000

UG V2 bis V18
NX1 bis NX11
Windows, UNIX, Linux

erstellt am: 08. Nov. 2012 13:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Tomtom77590 10 Unities + Antwort hilfreich


Biegetabelle_Bild_1.jpg

 
Hallo Tomtom77590,

nein, eine derartige Funktion gibt es in NX standardmäßig nicht. Wir haben uns da einiges selbst gebastelt. Ist es eine Standardfunktion in Catia oder ein "Catia-Macro" (in NX wäre das ein GRIP- oder  NXOpen.NET-Programm)?

Es gibt einen einfachen Trick: Lade dir ein 3D-Punkteraster in den Bauraum deiner Leitung, dann kannst du sehr rasch eine Leitung durch einzelnen Punkte legen, dieses Polygon dann verrunden und das Punkteraster wieder entfernen.

Auch für die Ableitung einer abgewickelten Leitung haben wir ein Proggy ;-)

Gruß

------------------
Walter Hogger

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Frost34
Mitglied
Entwicklungsingenieur

Sehen Sie sich das Profil von Frost34 an!   Senden Sie eine Private Message an Frost34  Schreiben Sie einen Gästebucheintrag für Frost34

Beiträge: 9
Registriert: 10.10.2012

NX8.0.1.5

erstellt am: 09. Nov. 2012 16:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Tomtom77590 10 Unities + Antwort hilfreich

Hallo,

die Polyline ist eine Standartfunktion in Catia. Die Funktion ist wirklich sehr gut und spart enorm Zeit.
Wir haben in meiner Firma auch schon einige Tests durchgeführt was die schnellste und beste Möglichkeit ist.
Der Path Befehl im Mechanical Routing erscheint im ersten Blick wie die Polyline hat aber folgende entscheidende Nachteile. Damit der Path sich assoziativ mit den Punkten ändert, müssen die Punkte in der Workbench Mechanical Routing geändert werden. In der Workbench Mechanical Routing können die Punkte jedoch nur über Tools > Expression geändert werden. Für die Änderungen müssen also in den Expressions die Koordinaten hinterlegt sein, je nachdem wie man die Punkte erzeugt muss das jedoch nicht der Fall sein.

Der schnellste Weg den wir gefunden haben ist folgender:

1. Einen 3D Spline mit Grad 1 erzeugen

2. An jedem "Eckpunkt" einen Skecth erzeugen. Dieser sollte auf der Ebene liegen die von den beiden angrenzenden Kurven aufgespannt wird. In dem Sketch eine Ausrundung tangential zu den Kurven erzeugen.
(Der Kurven Befehl Arc/Circle ist nicht Update stabil. Die Circular Blend Curve hat bei uns in manchen Fällen Splines erzeugt anstatt Radien und ist auch nicht Update stabil.)

3. Dann kann ein Sweep egal in welcher From erzeugt werden. Wenn man die Guide mit Selection Intent Tangent Curves und Follow Fillet erzeugt muss man die Kurven nicht Trimmen an den Radieneinläufen.  

Wenn ihr das oft verwendet könntet ihr euch auch ein UDF erstellen.

[Diese Nachricht wurde von Frost34 am 30. Nov. 2012 editiert.]

[Diese Nachricht wurde von Frost34 am 30. Nov. 2012 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mseufert
Ehrenmitglied V.I.P. h.c.
Freiberuflicher CAD/CAM Ingenieur


Sehen Sie sich das Profil von mseufert an!   Senden Sie eine Private Message an mseufert  Schreiben Sie einen Gästebucheintrag für mseufert

Beiträge: 2029
Registriert: 18.10.2005

HP Z420
WIN XP32 / WIN7 64
UG NX6-10
SUN Ultra 60
Solaris 7
CADDS5

erstellt am: 22. Nov. 2012 10:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Tomtom77590 10 Unities + Antwort hilfreich


TubeFromPoints.ZIP

 
Zitat:
Original erstellt von Tomtom77590:

Wo finde ich so eine ähnliche Funktion bei NX?

Hallo Tomtom77590,

im Standard gibt's sowas zwar nicht, dafür lässt es sich mit NXOpen geradezu beispielhaft realisieren. Stichwort: Automatisieren von wiederholten Aktionen. Die Punkte müssen noch angegeben werden, den Rest macht das Programm. Demo findest Du im Anhang.

Gruß, Michael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2016 CAD.de